Subject: Re: bug#74339: 30.0.92; CC Mode stomps C TS Mode

From: Dmitry Gutov <[email-masked]>
Date: Fri, 15 Nov 2024 20:57:11 +0200

Hi Alan,

On 15/11/2024 15:04, Alan Mackenzie wrote:
>> The symmetry that I was talking about is in handling c-mode
>> specification in auto-mode-alist: it will either invoke c-mode or
>> c-ts-mode.
> Excuse me, but that is NOT symmetry.  It is grossly assymetric.  If you
> weren't agreeing to symmetry why did you say you were?

Allow me to butt in this subthread a little. Your other points aside - 
several of them definitely valid - there already is an inherent 
asymmetry between c/c++ ts modes and cc-mode in that we give deference 
to the latter in our default file->mode mappings, which I wouldn't 
expect to change in any short or medium term.

So if we give a little back to ts modes on another level (and assuming 
user opt-in), that seems fair enough.